Results 1 to 3 of 3

Thread: Kernel build failure with OBS Debian 9

  1. #1

    Exclamation Kernel build failure with OBS Debian 9

    I am facing build failure when I try to build Linux 4.19 kernel on Open Build Service

    Error Log:

    127s] In file included from /usr/include/errno.h:35:0,
    [ 127s] from /usr/src/packages/BUILD/arch/x86/tools/relocs.h:11,
    [ 127s] from /usr/src/packages/BUILD/arch/x86/tools/relocs_32.c:2:
    [ 127s] /usr/include/x86_64-linux-gnu/bits/errno.h:24:26: fatal error: linux/errno.h: No such file or directory
    [ 127s] # include <linux/errno.h>
    [ 127s] ^
    [ 127s] compilation terminated.
    Looks like the dependencies are not being installed
    [ 11s] breaking dependency libgcc1 -> libc6
    [ 11s] cycle: ruby -> ruby2.3 -> libruby2.3 -> rake
    [ 11s] breaking dependency libruby2.3 -> rake
    [ 11s] cycle: dh-python -> python3
    [ 11s] breaking dependency python3 -> dh-python
    [ 11s] cycle: debhelper -> dh-autoreconf
    [ 11s] breaking dependency debhelper -> dh-autoreconf
    [ 11s] cycle: debhelper -> dh-strip-nondeterminism
    [ 11s] breaking dependency debhelper -> dh-strip-nondeterminism
    [ 11s] done
    [ 22s] dpkg: libc6-dev:amd64: dependency problems, but configuring anyway as you requested:
    [ 22s] libc6-dev:amd64 depends on linux-libc-dev (>= 4.9.130-2); however:
    [ 22s] Package linux-libc-dev is not installed.
    [ 14s] dpkg: libgcc1:amd64: dependency problems, but configuring anyway as you requested:
    [ 14s] libgcc1:amd64 depends on libc6 (>= 2.14); however:
    [ 14s] Package libc6 is not installed.
    [ 38s] dpkg: gcc-multilib: dependency problems, but configuring anyway as you requested:
    [ 38s] gcc-multilib depends on linux-libc-dev (>= 3.0.0-2); however:
    [ 38s] Package linux-libc-dev is not installed.

    I am using Default debian 9 repository provided by OBS itself. Not sure how to get rid of this

    <path project="openSUSE.orgebian:9.0" repository="standard"/>
    <arch>x86_64</arch>

  2. #2

    Default Re: Kernel build failure with OBS Debian 9

    You might need some additional packages.

    apt install bc libssl-dev libelf-dev

    Try again this code and try again. The error will tell you if you need to install more


  3. #3

    Default Re: Kernel build failure with OBS Debian 9

    Quote Originally Posted by Thishis View Post
    You might need some additional packages.

    apt install bc libssl-dev libelf-dev

    Try again this code and try again. The error will tell you if you need to install more


    Adding linux-libc-dev in the Build-Depends of dsc file resolved the issue

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •